@import url('https://fonts.googleapis.com/css2?family=Figtree:wght@500,800&display=swap');

:root {
    /* Colors */
    --color-white: hsl(0, 0%, 100%);
    --color-yellow: hsl(47, 88%, 63%);
    --color-gray-500: hsl(0, 0%, 42%);
    --color-gray-950: hsl(0, 0%, 7%);

    /* Typography */
    --font-family: 'Figtree', sans-serif;
}

* {
    /* Reset */
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: var(--font-family);
    background-color: var(--color-yellow);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.card {
    display: flex;
    flex-direction: column;
    background-color: var(--color-white);
    margin: 0 24px 0 24px;
    padding: 24px;
    gap: 12px;
    border-radius: 20px;
    align-items: start;
    max-width: 384px;
    border: 1px solid var(--color-gray-950);
    box-shadow: 8px 8px 0 var(--color-gray-950);
}

.card__image {
    border-radius: 10px;
    background-image: url("./assets/images/illustration-article.svg");
    background-position: center;
    background-size: cover;
    height: 200px;
    width: 100%;
}

.card__category {
    background-color: var(--color-yellow);
    border-radius: 4px;
    padding: 4px 12px;
    display: inline-block;
    font-size: 12px;
    line-height: 1.5;
    font-weight: 800;
    letter-spacing: 0;
    color: var(--color-gray-950);
    margin-top: 14px;
}

.card__date {
    font-size: 12px;
    line-height: 1.5;
    font-weight: 500;
    letter-spacing: 0;
    color: var(--color-gray-950);
}

.card__description {
    font-size: 14px;
    line-height: 1.5;
    font-weight: 500;
    letter-spacing: 0;
    color: var(--color-gray-500);
}

.card__title {
    font-size: 20px;
    line-height: 1.5;
    font-weight: 800;
    letter-spacing: 0;
}

.card__title a {
    text-decoration: none;
    color: var(--color-gray-950);
}

.card__title a:hover {
    color: var(--color-yellow);
}

.card__title a:focus-visible {
    outline: 2px solid var(--color-yellow);
    outline-offset: 2px;
    border-radius: 8px;
}

.card__author {
    font-size: 14px;
    line-height: 1.5;
    letter-spacing: 0;
    font-weight: 800;
    display: flex;
    align-items: center;
    gap: 12px;
    margin-top: 12px;
}

.card__avatar {
    border-radius: 50%;
}

.attribution {
    font-size: 11px;
    text-align: center;
    margin-top: 24px;
    bottom: 10px;
}

.attribution a {
    color: hsl(228, 45%, 44%);
}

.attribution a:focus-visible {
    outline: 2px solid var(--color-white);
    border-radius: 4px;
}

@media (min-width: 1440px) {
    .card__category {
        font-size: 14px;
    }

    .card__date {
        font-size: 14px;
    }

    .card__description {
        font-size: 16px;
    }

    .card__title {
        font-size: 24px;
    }

    .card__author {
        font-size: 14px;
    }
}